Subject: Re: bug#28243: Guix cross-compilation doesn't work

From: Ricardo Wurmus <[email-masked]>
Date: Mon, 09 Oct 2017 23:34:16 +0200

Hi Manolis,

Ludovic Courtès <[email-masked]> writes:

>> Running `guix build --target=i586-pc-gnu -c8 bootstrap-tarballs' or
>> running `guix build --target=i686-linux-gnu -c8 bootstrap-tarballs'
>> fail with
>>
>> phase `set-paths' succeeded after 0.0 seconds
>> starting phase `install-locale'
>> warning: failed to install 'en_US.utf8' locale: Invalid argument
>> phase `install-locale' succeeded after 0.0 seconds
>> starting phase `unpack'
>> In execvp of tar: No such file or directory
>> phase `unpack' failed after 0.0 seconds
>>
>> http://paste.lisp.org/display/354383
>
> ^ followed by:
>
> builder for `/gnu/store/x3i6zasfc97zrwr4c9lj73mh14x5rdwd-make-boot0-4.2.1.drv' failed with exit code 1
>
> This to me suggests a bug in how grafts are applied in a
> cross-compilation context: we shouldn’t be trying to cross-compile
> ‘make-boot0’ in the first place.  I’m pretty sure passing --no-grafts
> avoids the problem (but remember it disables some of the security
> updates!).  Can you confirm?

Have you been able to confirm this?

I just wanted to do this on darnassus, but guix-daemon is not running
there, and I cannot seem to get it to build software as a user, because
obviously I cannot write to /gnu/store.

Could you give me a hint how to run guix on Darnassus?

--
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net